Summary:	Interface to use kipi-plugins for KDE
Name:		libkipi
Version:	4.13.3
Release:	1
Epoch:		2
Group:		Graphical desktop/KDE
License:	GPLv2
Url:		http://www.kde.org
%define is_beta %(if test `echo %{version} |cut -d. -f3` -ge 70; then echo -n 1; else echo -n 0; fi)
%if %{is_beta}
%define ftpdir unstable
%else
%define ftpdir stable
%endif
Source:		ftp://ftp.kde.org/pub/kde/%{ftpdir}/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	automoc4

%description
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

#------------------------------------------------

%package -n kipi-common
Summary:	Non-library files for the kipi library
Group:		System/Libraries

%description -n kipi-common
Common files and tools for the kipi library.

%files -n kipi-common
%doc README TODO AUTHORS COPYING
%{_kde_bindir}/kxmlkipicmd
%{_kde_appsdir}/kipi
%{_kde_appsdir}/kxmlkipicmd
%{_kde_iconsdir}/*/*/*/kipi.*
%{_kde_libdir}/kde4/kipiplugin_kxmlhelloworld.so
%{_kde_services}/kipiplugin_kxmlhelloworld.desktop
%{_kde_servicetypes}/kipiplugin.desktop

#------------------------------------------------

%define kipi_major 11
%define libkipi %mklibname kipi %{kipi_major}

%package -n %{libkipi}
Summary:	libkipi library
Group:		System/Libraries
Obsoletes:	%{_lib}kipi8 < 2:4.9.0
Obsoletes:	%{_lib}kipi9 < 2:4.10.0
Obsoletes:	%{_lib}kipi10 < 2:4.11.0

%description -n %{libkipi}
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

%files -n %{libkipi}
%{_kde_libdir}/libkipi.so.%{kipi_major}*

#-----------------------------------------------------------------------------

%package devel
Summary:	Devel stuff for %{name}
Group:		Development/KDE and Qt
Requires:	kdelibs4-devel >= 2:%{version}
Requires:	%{libkipi} = %{EVRD}
Conflicts:	kdegraphics4-devel < 2:4.6.90

%description devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%{_includedir}/%{name}
%{_kde_libdir}/libkipi.so
%{_kde_libdir}/pkgconfig/libkipi.pc

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.3-1
+ Revision: fd7d37f
- LOG New version 4.13.3 (sync spec and patches with Cooker)


